## org.springframework.aop.interceptor
Class ClassLoaderAnalyzerInterceptor

    java.lang.Object
      org.springframework.aop.interceptor.ClassLoaderAnalyzerInterceptor

All Implemented Interfaces:
  Serializable, Advice, Interceptor, MethodInterceptor

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public class ClassLoaderAnalyzerInterceptor

extends Object
implements MethodInterceptor, Serializable

Trivial classloader analyzer interceptor.

Author:
  Rod Johnson, Dmitriy Kopylenko
See Also:
  `ClassLoaderUtils`, Serialized Form

Field Summary
`protected static Log` `logger` Deprecated. Static to avoid serializing the logger

Constructor Summary
`ClassLoaderAnalyzerInterceptor()` Deprecated.

Method Summary
`Object` `invoke(MethodInvocation invocation)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  Deprecated.
  Static to avoid serializing the logger

Constructor Detail

### ClassLoaderAnalyzerInterceptor

    public ClassLoaderAnalyzerInterceptor()

  Deprecated.

Method Detail

### invoke

    public Object invoke(MethodInvocation invocation)
                  throws Throwable

  Deprecated.
  Specified by:
    `invoke` in interface `MethodInterceptor`
  Throws:
    `Throwable`

Copyright © 2002-2008 The Spring Framework.